/*
  Warnings:

  - You are about to drop the column `active` on the `CommissionType` table. All the data in the column will be lost.
  - You are about to drop the column `basePrice` on the `CommissionType` table. All the data in the column will be lost.
  - You are about to drop the column `deliveryEst` on the `CommissionType` table. All the data in the column will be lost.
  - You are about to drop the column `tags` on the `CommissionType` table. All the data in the column will be lost.
  - You are about to drop the column `title` on the `CommissionType` table. All the data in the column will be lost.
  - You are about to drop the `Artwork` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `CommissionRequest` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `Preferences` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `PresentationGroup` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `TOS` table. If the table is not empty, all the data it contains will be lost.
  - You are about to drop the `User` table. If the table is not empty, all the data it contains will be lost.
  - Added the required column `name` to the `CommissionType` table without a default value. This is not possible if the table is not empty.
  - Added the required column `updatedAt` to the `CommissionType` table without a default value. This is not possible if the table is not empty.

*/
-- DropForeignKey
ALTER TABLE "Artwork" DROP CONSTRAINT "Artwork_groupId_fkey";

-- DropForeignKey
ALTER TABLE "CommissionRequest" DROP CONSTRAINT "CommissionRequest_typeId_fkey";

-- AlterTable
ALTER TABLE "CommissionType" DROP COLUMN "active",
DROP COLUMN "basePrice",
DROP COLUMN "deliveryEst",
DROP COLUMN "tags",
DROP COLUMN "title",
ADD COLUMN     "name" TEXT NOT NULL,
ADD COLUMN     "sortIndex" INTEGER NOT NULL DEFAULT 0,
ADD COLUMN     "updatedAt" TIMESTAMP(3) NOT NULL;

-- DropTable
DROP TABLE "Artwork";

-- DropTable
DROP TABLE "CommissionRequest";

-- DropTable
DROP TABLE "Preferences";

-- DropTable
DROP TABLE "PresentationGroup";

-- DropTable
DROP TABLE "TOS";

-- DropTable
DROP TABLE "User";

-- DropEnum
DROP TYPE "RequestStatus";

-- DropEnum
DROP TYPE "Role";

-- CreateTable
CREATE TABLE "CommissionOption" (
    "id" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3) NOT NULL,
    "sortIndex" INTEGER NOT NULL DEFAULT 0,
    "name" TEXT NOT NULL,
    "description" TEXT,

    CONSTRAINT "CommissionOption_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "CommissionExtra" (
    "id" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3) NOT NULL,
    "sortIndex" INTEGER NOT NULL DEFAULT 0,
    "name" TEXT NOT NULL,
    "description" TEXT,

    CONSTRAINT "CommissionExtra_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "CommissionTypeOption" (
    "id" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3) NOT NULL,
    "typeId" TEXT NOT NULL,
    "optionId" TEXT NOT NULL,
    "priceRange" TEXT,
    "pricePercent" DOUBLE PRECISION,
    "price" DOUBLE PRECISION,

    CONSTRAINT "CommissionTypeOption_pkey" PRIMARY KEY ("id")
);

-- CreateTable
CREATE TABLE "CommissionExtraOption" (
    "id" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3) NOT NULL,
    "typeId" TEXT NOT NULL,
    "extraId" TEXT NOT NULL,
    "priceRange" TEXT,
    "pricePercent" DOUBLE PRECISION,
    "price" DOUBLE PRECISION,

    CONSTRAINT "CommissionExtraOption_pkey" PRIMARY KEY ("id")
);

-- CreateIndex
CREATE UNIQUE INDEX "CommissionTypeOption_typeId_optionId_key" ON "CommissionTypeOption"("typeId", "optionId");

-- CreateIndex
CREATE UNIQUE INDEX "CommissionExtraOption_typeId_extraId_key" ON "CommissionExtraOption"("typeId", "extraId");

-- AddForeignKey
ALTER TABLE "CommissionTypeOption" ADD CONSTRAINT "CommissionTypeOption_typeId_fkey" FOREIGN KEY ("typeId") REFERENCES "CommissionType"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "CommissionTypeOption" ADD CONSTRAINT "CommissionTypeOption_optionId_fkey" FOREIGN KEY ("optionId") REFERENCES "CommissionOption"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "CommissionExtraOption" ADD CONSTRAINT "CommissionExtraOption_typeId_fkey" FOREIGN KEY ("typeId") REFERENCES "CommissionType"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "CommissionExtraOption" ADD CONSTRAINT "CommissionExtraOption_extraId_fkey" FOREIGN KEY ("extraId") REFERENCES "CommissionExtra"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
