import ListTypes from "@/components/items/commissions/types/ListTypes";
import prisma from "@/lib/prisma";
import { PlusCircleIcon } from "lucide-react";
import Link from "next/link";

export default async function CommissionTypesPage() {
  const types = await prisma.commissionType.findMany({
    include: {
      options: { include: { option: true }, orderBy: { sortIndex: "asc" } },
      extras: { include: { extra: true }, orderBy: { sortIndex: "asc" } },
    },
    orderBy: [{ sortIndex: "asc" }, { name: "asc" }],
  });

  return (
    <div>
      <div className="flex gap-4 justify-between pb-8">
        <h1 className="text-2xl font-bold mb-4">Commission Types</h1>
        <Link href="/items/commissions/types/new" className="flex gap-2 items-center cursor-pointer bg-primary hover:bg-primary/90 text-primary-foreground px-4 py-2 rounded">
          <PlusCircleIcon className="h-[1.2rem] w-[1.2rem] scale-100 rotate-0 transition-all text-primary-foreground" /> Add new Type
        </Link>
      </div>
      {types && types.length > 0 ? <ListTypes types={types} /> : <p className="text-muted-foreground italic">No types found.</p>}
    </div>
  );
}