"use client";

import * as SliderPrimitive from "@radix-ui/react-slider";

type DualRangeProps = {
  value: [number, number];
  onChange: (val: [number, number]) => void;
  min?: number;
  max?: number;
  step?: number;
};

export function DualRangeSlider({
  value,
  onChange,
  min = 0,
  max = 200,
  step = 1,
}: DualRangeProps) {
  return (
    <div>
      <div className="text-sm mb-1">Range: {value[0]}–{value[1]}</div>
      <SliderPrimitive.Root
        className="relative flex w-full touch-none select-none items-center"
        min={min}
        max={max}
        step={step}
        value={value}
        onValueChange={(val) => onChange([val[0], val[1]])}
      >
        <SliderPrimitive.Track className="relative h-1 w-full grow overflow-hidden rounded-full bg-muted">
          <SliderPrimitive.Range className="absolute h-full bg-primary" />
        </SliderPrimitive.Track>
        <SliderPrimitive.Thumb className="block h-4 w-4 rounded-full bg-white border border-primary shadow transition-colors focus:outline-none" />
        <SliderPrimitive.Thumb className="block h-4 w-4 rounded-full bg-white border border-primary shadow transition-colors focus:outline-none" />
      </SliderPrimitive.Root>
    </div>
  );
}
